## xhk 1.2

=== Makefile ===
##
## Autotools build wrapper.
## Kieran Bingham
## August 2014
##
## Configures and builds under build-<arch>
##
## Cross compilation can be supported by defining
##   ARCH=<target arch>
##   CROSS=<cross prefix of toolchain on path>
##

##
## Some very useful advice used here from http://mad-scientist.net/make/multi-arch.html
##

# Disable all implicit build targets
.SUFFIXES:

#ARCH?=armv7
ARCH?=$(shell uname -m)

BUILD_DIR=build-$(ARCH)
SOURCE_DIR=$(CURDIR)

export CC=${CROSS}gcc
export LD=${CROSS}gcc
export CXX=${CROSS}c++
export ARCH
export PATH
export DESTDIR

# No make directory output from this wrapper
MAKE:=$(MAKE) --no-print-directory

.PHONY: all
all: $(BUILD_DIR)/Makefile
	+@echo "  [$(BUILD_DIR)] $(MAKECMDGOALS)"
	+@$(MAKE) --no-print-directory -C $(BUILD_DIR) $(MAKECMDGOALS)

$(BUILD_DIR):
	@echo " [$(BUILD_DIR)] MKDIR"
	@mkdir -p $@

$(SOURCE_DIR)/configure:
	@echo " [$(BUILD_DIR)] Autoconf"
	cd $(SOURCE_DIR) && autoreconf --verbose --force --install

$(BUILD_DIR)/Makefile: $(SOURCE_DIR)/configure | $(BUILD_DIR)
	@echo " [$(BUILD_DIR)] Configure"
	cd $(BUILD_DIR) && \
		$(SOURCE_DIR)/configure	\
			--prefix=/usr \
			--host=$(CROSS)linux \
			--build=$(shell uname -p)-linux \
			--with-sysroot \

# Prevent Make from sending these targets through the wrapper CMDGOALS
Makefile : ;
%.mk :: ;

# Send all other targets through the default target
% :: all ;

deb:
	@echo " [$(BUILD_DIR)] Packaging"
	debuild -us -uc

distclean:
	@echo " [$(BUILD_DIR)] $@"
	@rm -rf $(BUILD_DIR)
	@git clean -fxd

=== doc/Makefile ===
xhk.1: xhk.md
	pandoc xhk.md --standalone --to man -o xhk.1

=== debian/changelog ===
xhk (1.2-2) unstable; urgency=medium

  * d/control
    - Bump debhelper version to 13

 -- Kentaro Hayashi <kenhys@xdump.org>  Fri, 15 May 2020 08:54:30 +0900

xhk (1.2-1) unstable; urgency=medium

  * New upstream version 1.2
  * d/control
    - Bump standard-version to 4.4.1. No other changes are required.
    - Bump compat version to 12.
    - Add Rules-Requires-Root: no.

 -- Kentaro Hayashi <hayashi@clear-code.com>  Tue, 19 Nov 2019 19:44:16 +0900

xhk (1.1-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #917091)

 -- Kentaro Hayashi <hayashi@clear-code.com>  Tue, 22 Jan 2019 22:58:20 +0900

=== debian/control ===
Source: xhk
Section: x11
Priority: optional
Maintainer: Kentaro Hayashi <kenhys@xdump.org>
Build-Depends:
 debhelper-compat (= 13),
 libx11-dev,
 libxi-dev,
 libxtst-dev,
 pkg-config
Standards-Version: 4.4.1
Homepage: https://github.com/kbingham/xhk
Vcs-Git: https://salsa.debian.org/debian/xhk.git
Vcs-Browser: https://salsa.debian.org/debian/xhk
Rules-Requires-Root: no

Package: xhk
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: XLib halfkey implementation
 Running xhk detaches the keyboard, and intercepts all input; processing it for
 space bar pushes as it goes. The space bar acts as a modifier if it is held at
 the same time as a standard letter. Modifying acts to mirror the input such
 that key presses are mirrored down the middle of the home row.
 Pressing space, and then releasing will still provide a single space character.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@


# Ignore upstream distclean target
override_dh_auto_clean:
	:

=== debian/watch ===
version=4
https://github.com/kbingham/@PACKAGE@/tags .*/@PACKAGE@-v(\d\S+)@ARCHIVE_EXT@
